com.holonplatform.core.datastore

## Interface DatastoreConfigProperties

- All Superinterfaces:
    ConfigPropertySet, DataContextBound
  All Known Implementing Classes:
    DatastoreConfigProperties.DatastoreConfigPropertiesImpl

      public interface DatastoreConfigProperties
      extends ConfigPropertySet, DataContextBound

  A `ConfigPropertySet` for `Datastore` configuration, using `DEFAULT_NAME` as property prefix.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DatastoreConfigProperties.DatastoreConfigPropertiesImpl` Default implementation

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `ConfigPropertySet.Builder<C extends ConfigPropertySet>, ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_NAME` Configuration property set default name
    `static ConfigProperty<String>` | `DIALECT` The fully qualified class name of the dialect to use, if the concrete `Datastore` supports dialects.
    `static ConfigProperty<Boolean>` | `TRACE` Enable datastore operations tracing (for example, logging the concrete query definitions)

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigPropertySet.Builder<DatastoreConfigProperties>` | `builder()` Builder to create property set instances bound to a property data source, without data context id specification.
    `static ConfigPropertySet.Builder<DatastoreConfigProperties>` | `builder(String dataContextId)` Builder to create property set instances bound to a property data source.
    `default String` | `getDialect()` Get the dialect class name.
    `default boolean` | `isTrace()` Gets whether datastore operations tracing is enabled.

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

- - ### Field Detail

    - #### DEFAULT_NAME

          static final String DEFAULT_NAME

      Configuration property set default name
      See Also:
        Constant Field Values

    - #### TRACE

          static final ConfigProperty<Boolean> TRACE

      Enable datastore operations tracing (for example, logging the concrete query definitions)

    - #### DIALECT

          static final ConfigProperty<String> DIALECT

      The fully qualified class name of the dialect to use, if the concrete `Datastore` supports dialects.

  - ### Method Detail

    - #### isTrace

          default boolean isTrace()

      Gets whether datastore operations tracing is enabled.
      Returns:
        `true` if datastore operations tracing is enabled, `false` otherwise

    - #### getDialect

          default String getDialect()

      Get the dialect class name.
      Returns:
        Dialect class name, or `null` if not available

    - #### builder

          static ConfigPropertySet.Builder<DatastoreConfigProperties> builder(String dataContextId)

      Builder to create property set instances bound to a property data source.
      Parameters:
        `dataContextId` - Optional data context id to which `Datastore` is bound
      Returns:
        ConfigPropertySet builder

    - #### builder

          static ConfigPropertySet.Builder<DatastoreConfigProperties> builder()

      Builder to create property set instances bound to a property data source, without data context id specification.
      Returns:
        ConfigPropertySet builder

Copyright © 2019 The Holon Platform. All rights reserved.